## blobwars 0.1armel-1

=== debian/changelog ===
blobwars (0.1armel-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 17:08:39 -0300
