=== debian/control ===
Source: blobwars
Section: user/system
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: libsdl1.2-dev, libsdl-ttf2.0-dev, libsdl-net1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 5)
Standards-Version: 3.7.2

Package: blobwars
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Blob Wars: Metal Blob Solid.
 Another platform game.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEQAACxEBf2RfkQAAAAd0
 SU1FB9oEDBMsKNLDUuwAAAwMSURBVGje7ZlrjF3Vdcd/a+/zvI95v21eExxb
 xh7AYEgGSkuTkihJRVDUJJWQSGpMSCtK82irVmpVpShpmgJ1qVQk6rYSEu0X
 ikqlNEQlpIRSSgoSM6QFu7ZjjJ9je+7cmbn3ntde/XCuxwaHx5g26gcv6eie
 u/c59/7/67XX2hvOy3k5L+flzfK52z541tj226f/T/5L3svLt//KNH/5V8+u
 fP/CHdf5i0t51TMSxbEJPc/WrAdWzJIKiRE6gW+W/+hbT2Wn3rn7rhvY8cDT
 P30C2z7/AXb+9XMA3Pa5696/uNC5KcvctAhTlYp/SSW2lSj28DxAAZEWqvuK
 QmcUeTau2u/e+yff3wVw96/fwI4/e/qnQ+CrvzbN0abj4YefY9sdP9OTNtsP
 LS6mH2qn9Hu+MWFo8TwDBqwVNQh54QQFEUFVcU6dNWa+VveeHB+Ptv/hPd9r
 brt9mlrss+OBf/nfIXDL5CSP7d37E+duvXx9EGzo/XyRZg/mSUFhPIKKxSAU
 uUPSAi9VltKCZuZQVUIjYA0msognqANBias+fmzuzI5nOx/5pxfz1SrUe6uJ
 tryR29cnJ9cPiVw9r7phIdfreHXhxom0QHK0XajsK5RClQQIBUKEDCik1FIP
 kCvkKIkIoSeEVtQZI8ci8yCFfvL3JiefGITZQyLP/fGePcsA356c5GNvoch3
 dKGPT07eEcLHLhYZ3gwbPagsQtBRJQCqQAE0gTkgFykJABlwrDsuQF/32Vwh
 QSm62guAFuCAjSLap9p6WWTxMtVH7tm79yvvZAHz9g4mFwncHKtOx9AbQhAC
 gQi+CLZ7eafuu6D8Lgm/G7+c8YmUsYAIhQjavUeEHCSHSqg6Gop8+b7Jyb87
 ZxcCqIAtRE6BklOM/7v74pWnNKiK6c5p9/IAe8Zv2e68O0Wm66IdYLk7bgAR
 kRAoVKmITL0nApGqTYACIUCxCilQVfh74AdW+LQqF4mw34DzhLYIqtALmC4b
 07XGEkorVxwgTlk2wnGgcMowUBOIVowveKrhORO4dnKSNnhVEY4ZWK74NGoe
 Bz3F9hk+GgnfeanF/amwZsRnekNEHAheGw4tKi+33Qr4AjjcjQUB1MHciYSF
 RoZnhYnRiNDBa4XyvkxpJQWmUIqCHOBLv3wt9//tv6+OwJCILDu1YdWwUA/4
 9roqcydTYnFMDlpGa/DJ6So/mE04cCjliUbOpWsjgtjSShzGCSpnZApVRITl
 pZzjx1OS1FGvewwNBfhBGYpzwJwRQt/yqlMWmlnCHt4SPG9y0zfI+oEBI/CJ
 DLZKxTBQV/JUqUeGWigIimcNfT2WTIUTjZxj8zlprkQVD+0CLrErxggnT6bM
 zSU4p4yNhgwMBlhrymeRkqhTXOHoqNCq+/b6LRf8wwuzB0+s2oWcUxHB5omy
 fsyyadLjtROw1HF4RrFGiHzwjGFyIqBS9XjtUMLJ+QynMDgYnJHMhOPHUxqN
 jFrNY3QkREy5Kp+aP/NZgLwoaLV0oOK4Cdi16jR69RWRjWPT5xQuHTdMjVrG
 +kvQ1kIlFPprhjWDhpEeYaAiXLgmYs2aCGsF5/RMZWCtcMlFFdZOxIgRoLSQ
 nk6wb07hCM500nz607+01V81gUsno8rwoLfRKQz3eAyHwkAM1oAVIQygr1qW
 DnPzhsaSK90nsvT1+Ziuhk+5T1+fT+AbfE/IUqHIA1zhEE5b4uwsCP1Op9xC
 Ul2VCz369Q8wN5dGQSiTPooXCIEosQUj4MrViBd2JTz2bEKaF4gqUSSMjsZ4
 gTkrBkSETlqw/7UO7Y5DjOBZy8CApd5ztoIVqCMMwSUWoj1fnOJ9fzHz7izw
 qd99jnaHMBSpxCLMZ8KxjrKcKp6FVgZ7Duc88v1lkjwHFBWhnShzc+2V1PNm
 H5872qaduJW5LM85cjQh6RRngRdgHKiKVoZ9wp8E/m2DuICayRXnib465yS0
 SidT4tCwvwG79yV4BhQ5taiiKiSJkiaOMDSIlCuqiJAmjjRTjAHnTpNSFBZz
 iO1KvaHd4m9Q0MIgwxG1VcdAGAjWCrknHGw4WimM1Sxbxi3VWMBYbt4iRMEb
 fdjaskqox4aeisWuuBFcPCx8ZFN0BnjwFG6IyiLvzJppHKhTxpzoORRzPYal
 ioD4ImkOAzXDpkGD8YTeKqy/JOLHJ3yuXt+PNWX5oCj1muHiMZ+xfkMcgO8b
 FAgjw1Jm6RBjTUkgK5QPr4XD/R6ip+uoAeACBTGIs0Kjo0urIvDwH1yDJJoU
 ibbWDBmSTGllQuQJC5kSWGGkRxgcCXhx9zxJpuROuXDYcPN1da64yLKmTxiq
 C/UQ/K7Gw1rA87sXKJzDOaUawlxPyP7MrgCZAK7qutCihaVMW05Idt+5eXX9
 wI5bNvUd2JM8U18XXPa6b1kzEvDxdcKeJrw271BguC5UxPH60YyeSLh0IqLt
 lPm2o9GCk8twZMFxtKEsdlzpIk5pdwo8gXrNJy0Uh6IIa4CrgSFgTuEVA3XR
 H631uf6uf5xtrCqI98+008XUHRqpVC5bPyDsW3Dsalg6eZmJqgEMRYaKFSbW
 GQJjaOfgFDyBOBDqTkkyYbkDrQRyp4gRKhWPWmSohkKzpbTSktB6YKyr1f0C
 +1W5xpeZTYO6vOoY8FRFBW9/23DhgCUyjn3zjsVEcU7wLYQWPANpDq0cUqc4
 FYyB0FNqoVCPoRYLgX/6r1S1XBANZfx0/X6oO38c2AtURNyGHn32xr+ZzVZN
 QEAKxRaeIVGrg5GiKiy0hTRX0gycOkILgSdlP+wgKxxOy0wUWCUOhGoAlUAw
 mJWMZYyQFZDmDgOMdjU/B7wCLKlyZYX5LePyxDn1A0ZEUjS8csTMzmX+5vUj
 hR5OkKVcQMFaZTFRWpnSySDJIXVljjddzZadohIGQk8MhTO00xKoc0qjraS5
 IxChDzgCHACOK7rRE/n5UX1y3b2zu8+pJ85BnC/1H7+8uD30DEN9gWwYEkZq
 grGCimG8ZugLhcBC5pSFlnK4oew/DgdOKCeXlSQDT5TBunDxiLBuzDI6YPEt
 pHlZyvUDCfBfwH6FMaNy61plqFe2Azz1q1Ort0AOFCLBMy+0Dl7z4fzOHzXM
 gxdVhZGKkjoh9pShwDDsK/MxHEmUXSccJ5bhyHyBijBYFWqRICLEgVLxBYxw
 bFHJc1lJg4PA693MM2KVz44LG/v0zuo3Z5qvfGmKDffPrN4ChaqgGg0P+f5n
 JoudseaPv3QYFhJ0KFYuqINvldgIF0bC1l7DteOW8V7InbCwpMw1lblFpdFS
 shzElEHvmfJepNR+AzihEKP6iTHh2lEer9TZmfzW24N/WwIZNB1cCxyQzz6f
 T6/Vbf2RHji8KNLJ0MKVmedIrhxIlJO5ElqY6DX01gQx0M6VZsvRWFaaHehk
 kBZQdLcmIt+QISwojHuqPzsucuUQB4JAt8nvz+a738U+3Vu60DHQR/fuPQTw
 rzu2sn7788f/c+c1lx9s8JITe0Hdc/hGyZ3QKqCtSqe7DddfgcZS2dQ4FbJC
 aadCkmu3wCuDvBIoy2qYkIJrxkQm6hzIlMvla7Pz7d+ZIv7GzDsSeEsLPHrG
 dt51d/+Qf75vKxu3PT9/cU22bOnh8U29lhFfiIyqA5ZyoZkpSa4EHmW72e24
 8wLaqbLcgWYb2mlZ81hPFFWuGoGpPh6PhS2b752Z/48vb35X4Fe9O/30n27l
 ht/4Ic0Hr7ILfnx7n3UP5nnO3jYc68B8x3FsUTnahLmmoyiUdgatjmCtUo3K
 llS1TLELLcfP1R2fGdU7+yvstF+bzb9z9xQf3THzrjGd0/nA7oeuZ932Z/jG
 PTf2bIk7DzU7+YcWU9d/cF7NQguSrCwpIl+0lSonl1QKV668nlUCT1yWMz/i
 iidvndDtW/58trn01SkWHKy5b2ZVWM75gOPRe2/gU18pDyW+cNtV7+8N9aZm
 S6ezQqdCz1xSCahEgdDJlJNLSjvRFo59TphxwrMnmvrd7z350i6AF++aYssD
 M+eE4z0dMX3rtz/Ib37z3063or94hd9XoRqHJgp9QueoLbSV5USXOolLvIzO
 Uu6Wn3jq5ZXa5paPTPHYEzP8v5Iv3nrlWWM3/cLm86ef5+W8nJez5X8AgId6
 hswqZMMAAAAASUVORK5CYII
