=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: blobwars
-Section: user/system
+Section: user/games
 Priority: extra
 Maintainer: CepiPerez <cepiperez@gmail.com>
 Build-Depends: libsdl1.2-dev, libsdl-ttf2.0-dev, libsdl-net1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 5)
