## blobwars 1.08-maemo1

=== debian/changelog ===
blobwars (1.08-maemo1) unstable; urgency=low

  * First maemo release, base package taken from Debian 
  * Required key press in license screen changed to return
  * added putenv("SDL_VIDEO_X11_WMCLASS=blobwars"); to init
  * .desktop file location changed

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Mon, 21 Jul 2008 04:35:45 +0300

blobwars (1.08-1) unstable; urgency=low

  * New upstream release.
  * Call dh_desktop and dh_icons in debian/rules. Closes: #448066
  * Fix NAME section in manpage.

 -- Guus Sliepen <guus@debian.org>  Sat, 16 Feb 2008 13:05:45 +0100

blobwars (1.07-2) unstable; urgency=low

  * Correct spelling of "weaponry". Closes: #434328
  * Fix all g++-4.2 warnings.
  * Update desktop and menu files.

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Aug 2007 14:43:27 +0200

blobwars (1.07-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 09 May 2007 23:09:38 +0200

blobwars (1.06-2-2) unstable; urgency=low

  * Update debian/copyright. Closes: #420276
    - Mention the names of all main authors.
    - Include license headers instead of just a reference to a license file.
    - Include the license statements for the Bitstream Vera font and the music
      and sound used in this package.
  * Update Catalan and Dutch translations. Closes: #415174

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Apr 2007 13:58:29 +0200

blobwars (1.06-2-1) unstable; urgency=low

  * New upstream release. All patches from the previous Debian versions have
    been applied by upstream. Thanks to all patch submitters and to Parallel
    Realities :)

 -- Guus Sliepen <guus@debian.org>  Sat, 14 Apr 2007 13:15:49 +0200

blobwars (1.05-6) unstable; urgency=low

  * Apply patch from Javier Serrano Polo fixing multiple issues:
    - Fix behaviour of decorative tiles in certain maps.
      Closes: #299145, #405854
    - Fix item placement with tall objects. Related to #329152.
    - Fix MIA placement on lift while moving around. Closes: #361905
    - Sometimes killing a boss doesn't complete the objective. Closes: #362661
    Closes: #415649
  * Apply patch from Javier Serrano Polo fixing the Forgotten Caves map in
    easy mode. Partially fixes #415647.
  * Apply patch from Javier Serrano Polo removing the possibility to disable
    auto save. Closes: #415172
  * Apply patch from Javier Serrano Polo adding i18n support. Closes: #415173
  * Add Catalan translation provided by Javier Serrano Polo. Closes: #415174
  * Apply patch from Javier Serrano Polo fixing several spelling issues and a
    too long level description.
    Closes: #361751, #361880, #362497, #362660, #361735
  * Add Dutch translation.

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Apr 2007 12:11:16 +0200

blobwars (1.05-5) unstable; urgency=low

  * Honour CFLAGS when building the binary. Closes: #411102
  * Applied patch from Javier Serrano Polo fixing loading savegames after
    completing the training mission. Closes: #337731
  * Applied patch from Javier Serrano Polo preventing the player from getting
    stuck in the pit in Flooded Tunnel #2. Closes: #288680
  * Add a link to the homepage to the package description.

 -- Guus Sliepen <guus@debian.org>  Tue, 20 Feb 2007 22:18:39 +0100

blobwars (1.05-4) unstable; urgency=low

  * Fix .desktop file. Closes: #402167
  * Add menu entry. Closes: #401193

 -- Guus Sliepen <guus@debian.org>  Sat,  9 Dec 2006 15:09:17 +0100

blobwars (1.05-3) unstable; urgency=low

  * Package adopted from Ondřej Surý.
  * Replace busyloops with calls to SDL_Delay(), to prevent blobwars
    from using 100% CPU unnecessarily. Closes: #366030
  * Add manpage provided by Jordà Polo. Closes: #288816
  * Make sure "make clean" really cleans everything.
  * Changed from CDBS to debhelper.
  * Updated Standards-Version and debhelper compatibility level.

 -- Guus Sliepen <guus@debian.org>  Thu, 16 Nov 2006 12:13:50 +0100

blobwars (1.05-2) unstable; urgency=low

  * 02_ftbfs-gcc4.1-fix.patch
    - Fix FTBFS with GCC 4.1 (Closes: #355988)
  * 04_desktop_dir.patch: (Courtesy of Ubuntu)
    - install .desktop file in /usr/share/applications/ (Closes: #349358)
    - install .png files in /usr/share/icons/hicolo/*x*/apps/

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Mar 2006 11:38:00 +0100

blobwars (1.05-1) unstable; urgency=low

  * New upstream version.

 -- Ondřej Surý <ondrej@sury.org>  Wed, 13 Jul 2005 09:27:33 +0200

blobwars (1.04-1) unstable; urgency=low

  * New upstream version. (Closes: #306511)

 -- Ondřej Surý <ondrej@sury.org>  Wed, 27 Apr 2005 08:47:45 +0200

blobwars (1.03-1) unstable; urgency=low

  * New upstream version.

 -- Ondřej Surý <ondrej@sury.org>  Fri, 15 Apr 2005 10:23:02 +0200

blobwars (1.02-1) unstable; urgency=low

  * New upstream release
  * Fixes crash in uncharted cavern (Closes: #289898)
  * Disable debug (Closes: #283789)
  * Entering key configuration menu no longer enables cheat menu (Closes: #283791)

 -- Ondřej Surý <ondrej@sury.org>  Tue, 18 Jan 2005 09:17:52 +0100

blobwars (1.0-1) unstable; urgency=low

  * New upstream *final* release (Closes: #284153)
   + Further releases will be only bugfix.
   + Please note, that compatibility to < 0.98 save games is not retained.

 -- Ondřej Surý <ondrej@sury.org>  Fri, 31 Dec 2004 16:40:17 +0100

blobwars (0.98.1-1) unstable; urgency=low

  * New upstream release.  (Closes: #283344)
  * Several patches merged upstream.

 -- Ondřej Surý <ondrej@sury.org>  Sun, 28 Nov 2004 18:26:52 +0100

blobwars (0.95.1-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@sury.org>  Wed, 13 Oct 2004 13:55:11 +0200

blobwars (0.94.1-1) unstable; urgency=low

  * New upstream release. (Closes: #269552, #273949, #244553)

 -- Ondřej Surý <ondrej@sury.org>  Wed,  6 Oct 2004 10:49:37 +0200

blobwars (0.92-1) unstable; urgency=low

  * New upstream release. (Closes: #246677, #246658, #270727, #270575, #271389)

 -- Ondřej Surý <ondrej@sury.org>  Sun, 26 Sep 2004 10:00:38 +0200


