=== debian/control ===
Source: blobwars
Section: user/games
Priority: optional
Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
Build-Depends: debhelper (>= 5.0.42), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.7.3
Homepage: http://www.parallelrealities.co.uk/blobWars.php

Package: blobwars
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A platform shooting game
 Since their world was invaded by an alien race, the Blobs have faced a
 lifetime of war. But now they have a chance to win the war once and for
 all.
 . 
 In Blob Wars: Metal Blob Solid, you take on the role of a fearless Blob
 agent, Bob. Bob's mission is to infiltrate the various enemy bases around
 the Blobs' homeworld and rescue as many MIAs as possible. But standing in
 his way are many vicious aliens, other Blobs who have been assimilated and
 the evil alien leader, Galdov.
