## blobwars 1.19

=== debian/changelog ===
blobwars (1.19-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - debian/patches/ftbfs_return_value_chdir.patch:
    + Patch from upstream git to fix FTBFS.
   - debian/patches/ftbfs_as_needed.patch:
    + Fix order of arguments to correctly link with ld --as-needed

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 26 Jul 2012 16:53:27 -0400

blobwars (1.19-2) unstable; urgency=low

  * Bump Standards-Version.
  * Build-depend on zlib1g-dev Closes: #669455
  * Provide build-arch and build-indep targets in debian/rules.
    Closes: #648312

 -- Guus Sliepen <guus@debian.org>  Tue, 08 May 2012 17:24:09 +0200

blobwars (1.19-1ubuntu1) oneiric; urgency=low

  * debian/patches/ftbfs_return_value_chdir.patch: (LP: #718573)
    - patch from upstream git to fix FTBFS.
  * debian/patches/ftbfs_as_needed.patch:
    - fix order of arguments to correctly link with ld --as-needed

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 19 Jun 2011 19:43:41 +0000

blobwars (1.19-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Guus Sliepen <guus@debian.org>  Sun, 17 Apr 2011 17:06:31 +0200

blobwars (1.18-1) unstable; urgency=low

  * New upstream release. Closes: #590430
    - Fixed crashes in boss battles. Closes: #526428
    - Ensures Bob cannot get the jetpack too early. Closes: #553341
    - Has new, DFSG-compliant music and sounds. Closes: #612492
  * Update homepage URL. Closes: #575800
  * Convert source package to 3.0 (quilt).
  * Convert copyright file to DEP-5 format to retain some sanity.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sun, 13 Feb 2011 20:33:27 +0100

blobwars (1.14-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Do not show trigger areas. Closes: #524653
  * Perform a sanity check when loading keyboard.cfg. Closes: #471378
  * Do not Suggest blobwars-data-nonfree anymore, and update README.Debian;
    since there is no (clear) copyright information for most of the music
    and sound, it is not distributable at all. Closes: #515541
  * Bump Standards-Version.
  * Add lintian overrides for the translated copyright files displayed
    in-game.

 -- Guus Sliepen <guus@debian.org>  Sun, 26 Jul 2009 16:47:21 +0200

blobwars (1.11-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Use DejaVu font from the ttf-dejavu-core package, since the
    ttf-bitstream-vera package is being removed. Closes: #516593

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Mar 2009 17:05:41 +0100

blobwars (1.10-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Use Vera font from the ttf-bitstream-vera package.

 -- Guus Sliepen <guus@debian.org>  Wed, 11 Feb 2009 23:08:23 +0100

blobwars (1.08-dfsg-1) unstable; urgency=low

  * Remove all music and sound files from the upstream tarball, as they are
    not DFSG compliant. Closes: #495484
  * Do not put all data files in one PAK file anymore.
  * Put the other data files into a blobwars-data package. Closes: #288173
  * Ignore missing sound and music files.

 -- Guus Sliepen <guus@debian.org>  Sat, 30 Aug 2008 22:58:49 +0200
