=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 
 
 
-CFLAGS = -Wall -g
+CXXFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
+	CXXFLAGS += -O0
 else
-	CFLAGS += -O2
+	CXXFLAGS += -O2
 endif
 
 configure: configure-stamp
@@ -28,13 +28,15 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
-	CFLAGS="$(CFLAGS)" $(MAKE)
+	CXXFLAGS="$(CXXFLAGS)" $(MAKE) RELEASE=1
 	#docbook-to-man debian/blobwars.sgml > blobwars.1
 
 	touch $@
@@ -52,14 +54,18 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/blobwars.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/blobwars install
-	rm debian/blobwars/usr/share/doc/blobwars/LICENSE
-	mkdir -p debian/blobwars/usr/share/pixmaps/
-	cp debian/blobwars.xpm debian/blobwars/usr/share/pixmaps/
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	rm -f debian/tmp/usr/share/games/blobwars/data/_vera.ttf
+	rm -f debian/tmp/usr/share/games/blobwars/data/vera.ttf
+	rm -f debian/tmp/usr/share/doc/blobwars/LICENSE
+	rm -f debian/tmp/usr/share/games/blobwars/gfx/sprites/recolor
+	chmod a-x debian/tmp/usr/share/games/blobwars/gfx/main/*
+	mkdir -p debian/tmp/usr/share/pixmaps/
+	cp debian/blobwars.xpm debian/tmp/usr/share/pixmaps/
 
 
 # Build architecture-independent files here.
@@ -70,13 +76,13 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs doc/CHANGES
+	dh_installchangelogs doc/changes
 	dh_installdocs
-	dh_desktop
-#	dh_icons
+	dh_icons
 	dh_installexamples
-#	dh_install
+	dh_install
 	dh_installmenu
+	dh_lintian
 #	dh_installdebconf	
 #	dh_installlogrotate
 #	dh_installemacsen
