=== debian/watch ===
version=3
http://sf.net/blobwars/blobwars-(.+)\.tar\.gz
