## blobwars 2.00

=== debian/changelog ===
blobwars (2.00-5) unstable; urgency=medium

  * QA upload.
  * Add 0004-fix-ftbfs-strlcat.patch to fix ftbfs issue. (Closes: #1071296)
  * Update d/copyright to fix lintian's warning: superfluous-file-pattern
    on sound/droid2 and sound/Lock?And?Load!!!.
  * Remove unused lintian override:
    blobwars-data: mismatched-override extra-license-file
  * Set debhelper-compat ( = 13).
  * Set std-ver to 4.7.0.
  * Drop debian/compat.
  * Add debian/not-installed to fix dh_missing error.
  * Update debian/copyright with machine readability.
  * Drop duplicate field "Comment" in paragraph number 5 on d/copyright
  * Add Rules-Requires-Root: no
  * Remove conflicts and replaces due to outdated version.
  * Add DEB_BUILD_MAINT_OPTIONS = hardening=+all.
  * Remove the last blank line of the d/changelog.
  * Add Multi-Arch: foreign to blobwars-data.

 -- Bo YU <tsu.yubo@gmail.com>  Sun, 26 May 2024 19:06:48 +0800

blobwars (2.00-4) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Ignore RELEASE environment variable from salsa CI.
  * Fix FTBFS with 64-bit time_t on 32-bit architectures.  (Closes: #1069463)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 19:08:57 +0200

blobwars (2.00-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Change short-description of blobwars-data stanza.
  * debian/watch:
    - Replace some regex's to @TAGS@.
    - Update to version 4.

 -- Manoel Ibere Wiedmer Gomes <manoelwiedmer@gmail.com>  Tue, 12 Dec 2023 10:46:42 -0300

blobwars (2.00-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #963910)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 08:30:13 -0300

blobwars (2.00-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop menu file and its pixmap, as blobwars already provides a .desktop
    file.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Sep 2020 11:06:42 +0200

blobwars (2.00-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Olivier Tilloy ]
  * Change depends on ttf-dejavu-core to fonts-dejavu-core (Closes: #962210)

  [ Helmut Grohne ]
  * Fix FTCBFS by using build architecture pkg-config. (Closes: #895146)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 20:18:30 -0400

blobwars (2.00-1) unstable; urgency=medium

  * New upstream release.
    - Now uses SDL2.
  * Bump Standards-Version and debian/compat.
  * Update debian/copyright.

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Nov 2015 00:11:35 +0100
