=== debian/control ===
Source: blobwars
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-ttf-dev, libsdl2-net-dev, zlib1g-dev
Standards-Version: 4.7.0
Homepage: http://blobwars.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/blobwars
Vcs-Git: https://salsa.debian.org/debian/blobwars.git
Rules-Requires-Root: no

Package: blobwars
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, blobwars-data (= ${source:Version})
Description: platform shooting game
 Blob Wars: Metal Blob Solid is a 2D platform game. It is the first in the Blob
 Wars series.
 .
 Since their world was invaded by an alien race, the Blobs have faced a
 lifetime of war. But now they have a chance to win the war once and for
 all.
 .
 In Blob Wars: Metal Blob Solid, you take on the role of a fearless Blob
 agent, Bob. Bob's mission is to infiltrate the various enemy bases around
 the Blobs' homeworld and rescue as many MIAs as possible. But standing in
 his way are many vicious aliens, other Blobs who have been assimilated and
 the evil alien leader, Galdov.

Package: blobwars-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-dejavu-core
Description: platform shooting game (data)
 Since their world was invaded by an alien race, the Blobs have faced a
 lifetime of war. But now they have a chance to win the war once and for
 all.
 .
 In Blob Wars: Metal Blob Solid, you take on the role of a fearless Blob
 agent, Bob. Bob's mission is to infiltrate the various enemy bases around
 the Blobs' homeworld and rescue as many MIAs as possible. But standing in
 his way are many vicious aliens, other Blobs who have been assimilated and
 the evil alien leader, Galdov.
 .
 This package contains the maps, graphics, music and sound for blobwars.
