=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/share/games/blobwars/gfx/sprites/recolor
